# first install readxl if you don't have it and then load the library
## if (!require("readxl")) install.packages("readxl") # I don't think this works
library(readxl)

# load the data (only the raw answers)
survey_data <- read_excel("EcoDAS_SciCommSurvey_EWC.xls",col_names=FALSE)[3:32,1:133]
survey_data <- survey_data[survey_data$X1!= "4007107001.000000",] # remove respondent with all NA's
demo_data <- read_excel("EcoDAS_SciCommSurvey_EWC.xls",col_names=FALSE)[37:65,134:150]

# load the questions
survey_questions <- read_excel("EcoDAS_SciCommSurvey_EWC.xls",col_names=FALSE)[1:2,1:133]
demo_questions <- read_excel("EcoDAS_SciCommSurvey_EWC.xls",col_names=FALSE)[35:36,134:150]
survey_questions <- top_row_fill(survey_questions)
demo_questions <- top_row_fill(demo_questions)

# create nice variable names
survey_var_names <- c('RespondentID',
               'CollectorID',
               'StartDate',
               'EndDate',
               'IPAddress',
               'q1_consent',
               'q2_oral_townhall',
               'q2_oral_community',
               'q2_oral_publec',
               'q2_oral_K12',
               'q2_oral_intesdisc',
               'q2_oral_specialint',
               'q2_oral_postsec',
               'q2_oral_other',
               'q2_oral_otherspecify',
               'q3_workshop_directcitsci',
               'q3_workshop_indirectcitsci',
               'q3_workshop_K12',
               'q3_workshop_schoolscicomp',
               'q3_workshop_publicscience',
               'q3_workshop_boothevent',
               'q3_workshop_other',
               'q3_workshop_otherspecify',
               'q4_popmedia_newspaper',
               'q4_popmedia_radio',
               'q4_popmedia_TV',
               'q4_popmedia_debate',
               'q4_popmedia_other',
               'q4_popmedia_specifyother',
               'q5_written_popsci',
               'q5_written_pressrelease',
               'q5_written_curriculum',
               'q5_written_oped',
               'q5_written_specialint',
               'q5_written_other',
               'q5_written_specifyother',
               'q6_visual_illustration',
               'q6_visual_infographic',
               'q6_visual_video',
               'q6_visual_music',
               'q6_visual_dance',
               'q6_visual_other',
               'q6_visual_otherspecify',
               'q7_social_blogguest',
               'q7_social_blogown',
               'q7_social_twitter',
               'q7_social_facebook',
               'q7_social_postvideo',
               'q7_social_appearvideo',
               'q7_social_podcast',
               'q7_social_other',
               'q7_social_otherspecify',
               'q8_gradtraining_scicomm',
               'q8_gradtraining_education',
               'q8_gradtraining_grant',
               'q8_gradtraining_job',
               'q8_gradtraining_curriculumin',
               'q8_gradtraining_curriculumout',
               'q8_gradtraining_lab',
               'q9_scicommskills_oral',
               'q9_scicommskills_workshop',
               'q9_scicommskills_popmedia',
               'q9_scicommskills_written',
               'q9_scicommskills_visual',
               'q9_scicommskills_socialmedia',
               'q9_scicommskills_other',
               'q10_scicommsponsor_oral_youruni',
               'q10_scicommsponsor_oral_otheruni',
               'q10_scicommsponsor_oral_society',
               'q10_scicommsponsor_oral_self',
               'q10_scicommsponsor_oral_government',
               'q10_scicommsponsor_oral_other',
               'q10_scicommsponsor_workshop_youruni',
               'q10_scicommsponsor_workshop_otheruni',
               'q10_scicommsponsor_workshop_society',
               'q10_scicommsponsor_workshop_self',
               'q10_scicommsponsor_workshop_government',
               'q10_scicommsponsor_workshop_other',
               'q10_scicommsponsor_popmedia_youruni',
               'q10_scicommsponsor_popmedia_otheruni',
               'q10_scicommsponsor_popmedia_society',
               'q10_scicommsponsor_popmedia_self',
               'q10_scicommsponsor_popmedia_government',
               'q10_scicommsponsor_popmedia_other',
               'q10_scicommsponsor_written_youruni',
               'q10_scicommsponsor_written_otheruni',
               'q10_scicommsponsor_written_society',
               'q10_scicommsponsor_written_self',
               'q10_scicommsponsor_written_government',
               'q10_scicommsponsor_written_other',
               'q10_scicommsponsor_visual_youruni',
               'q10_scicommsponsor_visual_otheruni',
               'q10_scicommsponsor_visual_society',
               'q10_scicommsponsor_visual_self',
               'q10_scicommsponsor_visual_government',
               'q10_scicommsponsor_visual_other',
               'q10_scicommsponsor_socialmedia_youruni',
               'q10_scicommsponsor_socialmedia_otheruni',
               'q10_scicommsponsor_socialmedia_society',
               'q10_scicommsponsor_socialmedia_self',
               'q10_scicommsponsor_socialmedia_government',
               'q10_scicommsponsor_socialmedia_other',
               'q10_scicommsponsor_other_other',
               'q11_scicommoffer_oral_NONI',
               'q11_scicommoffer_oral_NOI',
               'q11_scicommoffer_oral_ONI',
               'q11_scicommoffer_workshop_NONI',
               'q11_scicommoffer_workshop_NOI',
               'q11_scicommoffer_workshop_ONI',
               'q11_scicommoffer_popmedia_NONI',
               'q11_scicommoffer_popmedia_NOI',
               'q11_scicommoffer_popmedia_ONI',
               'q11_scicommoffer_written_NONI',
               'q11_scicommoffer_written_NOI',
               'q11_scicommoffer_written_ONI',
               'q11_scicommoffer_visual_NONI',
               'q11_scicommoffer_visual_NOI',
               'q11_scicommoffer_visual_ONI',
               'q11_scicommoffer_socialmedia_NONI',
               'q11_scicommoffer_socialmedia_NOI',
               'q11_scicommoffer_socialmedia_ONI',
               'q11_scicommoffer_other_other',
               '',
               'q12_supersupport_funding',
               'q12_supersupport_time',
               'q12_supersupport_expand',
               'q13_gradsupport_funding',
               'q13_gradsupport_time',
               'q13_gradsupport_expand',
               'q14_contributed_open',
               'q15_noteffective_open',
               'q16_gradsupport_open',
               'q17_gradsupport_open'
               )

demo_var_names <- c('q18_field',
                      'q19_gender',
                      'q20_undergrad',
                      'q21_MSc',
                      'q22_PhD',
                      'q23_PDF',
                      'q24_PR',
                      'q25_career_acadresearch',
                      'q25_career_acadteach',
                      'q25_career_hsteach',
                      'q25_career_scicomm',
                      'q25_career_industry',
                      'q25_career_entrepreneur',
                      'q25_career_govresearch',
                      'q25_career_govpolicy',
                      'q25_career_ngo',
                      'q25_career_other')
names(demo_questions) <- demo_var_names
names(demo_data) <- demo_var_names
names(survey_questions) <- survey_var_names
names(survey_data) <- survey_var_names
